Viewing Issue Simple Details Jump to Notes ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0000090 [libFirm] buildsystem block always 2011-10-19 14:01 2011-12-24 03:47
Reporter Bloutiouf View Status public  
Assigned To Matze
Priority normal Resolution fixed  
Status closed   Product Version development
Summary 0000090: make: relocation R_X86_64_32 blahblah
Description This error happens when I try to compile from scratch under Linux/Ubuntu.

The CC stage generates no warning, the LINK stage gives some weird message (see Additional Information).

uname -a: Linux * 2.6.32-31-generic 0000061-Ubuntu SMP Fri Apr 8 18:25:51 UTC 2011 x86_64 GNU/Linux

Git head: a64441f88d7fa5989e711e1d79de9a69aa264359 of Oct 17, 2011 ( https://github.com/MatzeB/libfirm/commit/a64441f88d7fa5989e711e1d79de9a69aa264359 [^] [^] )
Additional Information CC build/debug/ir/adt/array.o
CC build/debug/ir/adt/bipartite.o
CC build/debug/ir/adt/cpset.o
CC build/debug/ir/adt/eset.o
CC build/debug/ir/adt/gaussjordan.o
CC build/debug/ir/adt/gaussseidel.o
CC build/debug/ir/adt/hashset.o
CC build/debug/ir/adt/hungarian.o
CC build/debug/ir/adt/iterator.o
CC build/debug/ir/adt/pdeq.o
CC build/debug/ir/adt/plist.o
CC build/debug/ir/adt/pmap.o
CC build/debug/ir/adt/pqueue.o
CC build/debug/ir/adt/pset.o
CC build/debug/ir/adt/pset_new.o
CC build/debug/ir/adt/set.o
CC build/debug/ir/adt/xmalloc.o
CC build/debug/ir/ana/absgraph.o
CC build/debug/ir/ana/analyze_irg_args.o
CC build/debug/ir/ana/callgraph.o
CC build/debug/ir/ana/cdep.o
CC build/debug/ir/ana/cgana.o
CC build/debug/ir/ana/dfs.o
CC build/debug/ir/ana/execfreq.o
CC build/debug/ir/ana/heights.o
CC build/debug/ir/ana/irbackedge.o
CC build/debug/ir/ana/ircfscc.o
CC build/debug/ir/ana/irconsconfirm.o
CC build/debug/ir/ana/irdom.o
CC build/debug/ir/ana/irextbb2.o
CC build/debug/ir/ana/irextbb.o
CC build/debug/ir/ana/irlivechk.o
CC build/debug/ir/ana/irloop.o
CC build/debug/ir/ana/irmemory.o
CC build/debug/ir/ana/irouts.o
CC build/debug/ir/ana/irscc.o
CC build/debug/ir/ana/irtypeinfo.o
CC build/debug/ir/ana/trouts.o
CC build/debug/ir/ana/vrp.o
CC build/debug/ir/common/debug.o
CC build/debug/ir/common/error.o
CC build/debug/ir/common/firm.o
CC build/debug/ir/common/firm_common.o
CC build/debug/ir/common/irtools.o
CC build/debug/ir/common/timing.o
CC build/debug/ir/debug/dbginfo.o
CC build/debug/ir/debug/debugger.o
CC build/debug/ir/obstack/obstack.o
CC build/debug/ir/obstack/obstack_printf.o
CC build/debug/ir/ident/ident.o
CC build/debug/ir/ident/mangle.o
CC build/debug/ir/ir/instrument.o
CC build/debug/ir/ir/irarch.o
CC build/debug/ir/ir/irargs.o
CC build/debug/ir/ir/ircomplib.o
CC build/debug/ir/ir/ircons.o
CC build/debug/ir/ir/irdump.o
CC build/debug/ir/ir/irdumptxt.o
CC build/debug/ir/ir/iredges.o
CC build/debug/ir/ir/irflag.o
CC build/debug/ir/ir/irgmod.o
CC build/debug/ir/ir/irgopt.o
CC build/debug/ir/ir/irgraph.o
CC build/debug/ir/ir/irgwalk_blk.o
CC build/debug/ir/ir/irgwalk.o
CC build/debug/ir/ir/irhooks.o
CC build/debug/ir/ir/irio.o
CC build/debug/ir/ir/irlinkednodemap.o
CC build/debug/ir/ir/irlinkednodeset.o
CC build/debug/ir/ir/irmode.o
CC build/debug/ir/ir/irnode.o
CC build/debug/ir/ir/irnodemap.o
CC build/debug/ir/ir/irnodeset.o
CC build/debug/ir/ir/irop.o
CC build/debug/ir/ir/iropt.o
CC build/debug/ir/ir/irpass.o
CC build/debug/ir/ir/irphase.o
CC build/debug/ir/ir/irprintf.o
CC build/debug/ir/ir/irprofile.o
CC build/debug/ir/ir/irprog.o
CC build/debug/ir/ir/irssacons.o
CC build/debug/ir/ir/irverify.o
CC build/debug/ir/ir/rm_bads.o
CC build/debug/ir/ir/unreachable.o
CC build/debug/ir/ir/valueset.o
CC build/debug/ir/lower/lower_alloc.o
CC build/debug/ir/lower/lower_builtins.o
CC build/debug/ir/lower/lower_calls.o
CC build/debug/ir/lower/lower_copyb.o
CC build/debug/ir/lower/lower_dw.o
CC build/debug/ir/lower/lower_hl.o
CC build/debug/ir/lower/lower_intrinsics.o
CC build/debug/ir/lower/lower_mode_b.o
CC build/debug/ir/lower/lower_mux.o
CC build/debug/ir/lower/lower_softfloat.o
CC build/debug/ir/lower/lower_switch.o
CC build/debug/ir/libcore/lc_appendable.o
CC build/debug/ir/libcore/lc_opts.o
CC build/debug/ir/libcore/lc_opts_enum.o
CC build/debug/ir/libcore/lc_printf.o
CC build/debug/ir/lpp/lpp.o
CC build/debug/ir/lpp/lpp_comm.o
CC build/debug/ir/lpp/lpp_cplex.o
CC build/debug/ir/lpp/lpp_gurobi.o
CC build/debug/ir/lpp/lpp_net.o
CC build/debug/ir/lpp/lpp_solvers.o
CC build/debug/ir/lpp/mps.o
CC build/debug/ir/lpp/sp_matrix.o
CC build/debug/ir/opt/boolopt.o
CC build/debug/ir/opt/cfopt.o
CC build/debug/ir/opt/code_placement.o
CC build/debug/ir/opt/combo.o
CC build/debug/ir/opt/convopt.o
CC build/debug/ir/opt/critical_edges.o
CC build/debug/ir/opt/dead_code_elimination.o
CC build/debug/ir/opt/escape_ana.o
CC build/debug/ir/opt/fp-vrp.o
CC build/debug/ir/opt/funccall.o
CC build/debug/ir/opt/garbage_collect.o
CC build/debug/ir/opt/gvn_pre.o
CC build/debug/ir/opt/ifconv.o
CC build/debug/ir/opt/ircgopt.o
CC build/debug/ir/opt/jumpthreading.o
CC build/debug/ir/opt/ldstopt.o
CC build/debug/ir/opt/loop.o
CC build/debug/ir/opt/opt_blocks.o
CC build/debug/ir/opt/opt_confirms.o
CC build/debug/ir/opt/opt_frame.o
CC build/debug/ir/opt/opt_inline.o
CC build/debug/ir/opt/opt_ldst.o
CC build/debug/ir/opt/opt_manage.o
CC build/debug/ir/opt/opt_osr.o
CC build/debug/ir/opt/opt_polymorphy.o
CC build/debug/ir/opt/parallelize_mem.o
CC build/debug/ir/opt/proc_cloning.o
CC build/debug/ir/opt/reassoc.o
CC build/debug/ir/opt/return.o
CC build/debug/ir/opt/scalar_replace.o
CC build/debug/ir/opt/tailrec.o
CC build/debug/ir/opt/tropt.o
CC build/debug/ir/stat/const_stat.o
CC build/debug/ir/stat/dags.o
CC build/debug/ir/stat/distrib.o
CC build/debug/ir/stat/firmstat.o
CC build/debug/ir/stat/pattern.o
CC build/debug/ir/stat/pattern_dmp.o
CC build/debug/ir/stat/stat_dmp.o
CC build/debug/ir/stat/statev.o
CC build/debug/ir/stat/stat_timing.o
CC build/debug/ir/tr/compound_path.o
CC build/debug/ir/tr/entity.o
CC build/debug/ir/tr/tpop.o
CC build/debug/ir/tr/tr_inheritance.o
CC build/debug/ir/tr/trverify.o
CC build/debug/ir/tr/type.o
CC build/debug/ir/tr/type_finalization.o
CC build/debug/ir/tr/typewalk.o
CC build/debug/ir/tv/fltcalc.o
CC build/debug/ir/tv/strcalc.o
CC build/debug/ir/tv/tv.o
CC build/debug/ir/kaps/brute_force.o
CC build/debug/ir/kaps/bucket.o
CC build/debug/ir/kaps/heuristical.o
CC build/debug/ir/kaps/heuristical_co.o
CC build/debug/ir/kaps/heuristical_co_ld.o
CC build/debug/ir/kaps/html_dumper.o
CC build/debug/ir/kaps/kaps.o
CC build/debug/ir/kaps/matrix.o
CC build/debug/ir/kaps/optimal.o
CC build/debug/ir/kaps/pbqp_edge.o
CC build/debug/ir/kaps/pbqp_node.o
CC build/debug/ir/kaps/vector.o
CC build/debug/ir/be/beabi.o
CC build/debug/ir/be/beabihelper.o
CC build/debug/ir/be/bearch.o
CC build/debug/ir/be/beblocksched.o
CC build/debug/ir/be/bechordal.o
CC build/debug/ir/be/bechordal_common.o
CC build/debug/ir/be/bechordal_draw.o
CC build/debug/ir/be/bechordal_main.o
CC build/debug/ir/be/becopyheur2.o
CC build/debug/ir/be/becopyheur4.o
CC build/debug/ir/be/becopyheur.o
CC build/debug/ir/be/becopyilp2.o
CC build/debug/ir/be/becopyilp.o
CC build/debug/ir/be/becopyopt.o
CC build/debug/ir/be/becopystat.o
CC build/debug/ir/be/bedbgout.o
CC build/debug/ir/be/bedomfront.o
CC build/debug/ir/be/beemitter_binary.o
CC build/debug/ir/be/beemitter.o
CC build/debug/ir/be/beflags.o
CC build/debug/ir/be/begnuas.o
CC build/debug/ir/be/beifg.o
CC build/debug/ir/be/beinfo.o
CC build/debug/ir/be/beinsn.o
CC build/debug/ir/be/beirg.o
CC build/debug/ir/be/beirgmod.o
CC build/debug/ir/be/belistsched.o
CC build/debug/ir/be/belive.o
CC build/debug/ir/be/beloopana.o
CC build/debug/ir/be/belower.o
CC build/debug/ir/be/bemachine.o
CC build/debug/ir/be/bemain.o
CC build/debug/ir/be/bemodule.o
CC build/debug/ir/be/benode.o
CC build/debug/ir/be/bepbqpcoloring.o
CC build/debug/ir/be/bepeephole.o
CC build/debug/ir/be/beprefalloc.o
CC build/debug/ir/be/bera.o
CC build/debug/ir/be/besched.o
CC build/debug/ir/be/beschednormal.o
CC build/debug/ir/be/beschedrand.o
CC build/debug/ir/be/beschedregpress.o
CC build/debug/ir/be/beschedtrace.o
CC build/debug/ir/be/beschedtrivial.o
CC build/debug/ir/be/bespillbelady.o
CC build/debug/ir/be/bespill.o
CC build/debug/ir/be/bespilldaemel.o
CC build/debug/ir/be/bespillslots.o
CC build/debug/ir/be/bespillutil.o
CC build/debug/ir/be/bessaconstr.o
CC build/debug/ir/be/bessadestr.o
CC build/debug/ir/be/bestabs.o
CC build/debug/ir/be/bestack.o
CC build/debug/ir/be/bestat.o
CC build/debug/ir/be/bestate.o
CC build/debug/ir/be/betranshlp.o
CC build/debug/ir/be/beuses.o
CC build/debug/ir/be/beutil.o
CC build/debug/ir/be/beverify.o
CC build/debug/ir/be/amd64/amd64_emitter.o
CC build/debug/ir/be/amd64/amd64_new_nodes.o
CC build/debug/ir/be/amd64/amd64_transform.o
CC build/debug/ir/be/amd64/bearch_amd64.o
CC build/debug/ir/be/amd64/gen_amd64_emitter.o
CC build/debug/ir/be/amd64/gen_amd64_machine.o
CC build/debug/ir/be/amd64/gen_amd64_regalloc_if.o
CC build/debug/ir/be/arm/arm_cconv.o
CC build/debug/ir/be/arm/arm_emitter.o
CC build/debug/ir/be/arm/arm_map_regs.o
CC build/debug/ir/be/arm/arm_new_nodes.o
CC build/debug/ir/be/arm/arm_optimize.o
CC build/debug/ir/be/arm/arm_transform.o
CC build/debug/ir/be/arm/bearch_arm.o
CC build/debug/ir/be/arm/gen_arm_emitter.o
CC build/debug/ir/be/arm/gen_arm_machine.o
CC build/debug/ir/be/arm/gen_arm_regalloc_if.o
CC build/debug/ir/be/ia32/bearch_ia32.o
CC build/debug/ir/be/ia32/gen_ia32_emitter.o
CC build/debug/ir/be/ia32/gen_ia32_machine.o
CC build/debug/ir/be/ia32/gen_ia32_regalloc_if.o
CC build/debug/ir/be/ia32/ia32_address_mode.o
CC build/debug/ir/be/ia32/ia32_architecture.o
CC build/debug/ir/be/ia32/ia32_common_transform.o
CC build/debug/ir/be/ia32/ia32_emitter.o
CC build/debug/ir/be/ia32/ia32_finish.o
CC build/debug/ir/be/ia32/ia32_fpu.o
CC build/debug/ir/be/ia32/ia32_intrinsics.o
CC build/debug/ir/be/ia32/ia32_new_nodes.o
CC build/debug/ir/be/ia32/ia32_optimize.o
CC build/debug/ir/be/ia32/ia32_transform.o
CC build/debug/ir/be/ia32/ia32_x87.o
CC build/debug/ir/be/sparc/bearch_sparc.o
CC build/debug/ir/be/sparc/gen_sparc_emitter.o
CC build/debug/ir/be/sparc/gen_sparc_machine.o
CC build/debug/ir/be/sparc/gen_sparc_regalloc_if.o
CC build/debug/ir/be/sparc/sparc_cconv.o
CC build/debug/ir/be/sparc/sparc_emitter.o
CC build/debug/ir/be/sparc/sparc_finish.o
CC build/debug/ir/be/sparc/sparc_lower64.o
CC build/debug/ir/be/sparc/sparc_new_nodes.o
CC build/debug/ir/be/sparc/sparc_stackframe.o
CC build/debug/ir/be/sparc/sparc_transform.o
CC build/debug/ir/be/TEMPLATE/bearch_TEMPLATE.o
CC build/debug/ir/be/TEMPLATE/gen_TEMPLATE_emitter.o
CC build/debug/ir/be/TEMPLATE/gen_TEMPLATE_machine.o
CC build/debug/ir/be/TEMPLATE/gen_TEMPLATE_regalloc_if.o
CC build/debug/ir/be/TEMPLATE/TEMPLATE_emitter.o
CC build/debug/ir/be/TEMPLATE/TEMPLATE_new_nodes.o
CC build/debug/ir/be/TEMPLATE/TEMPLATE_transform.o
LINK build/debug/libfirm.so
/usr/bin/ld: build/debug/ir/adt/array.o: relocation R_X86_64_32 against `.rodata' can not be used when making a shared object; recompile with -fPIC
build/debug/ir/adt/array.o: could not read symbols: Bad value
collect2: ld returned 1 exit status
make: *** [build/debug/libfirm.so] Fehler 1
Tags No tags attached.
Attached Files

- Relationships

-  Notes
(0000124)
Matze (administrator)
2011-10-19 21:55

Building on amd64 architecture should be fixed in 4f750819646bd8eeecdadfd1b022ab136ab3a190

Note however that our amd64 backend is only capable to compile HelloWorld-Style applications. For serious work use the ia32 backend (-m32 switch for cparser).

We also have allowed direct public access to our repositories now so you don't have to wait for the github mirror to update:
http://pp.info.uni-karlsruhe.de/firm/Sourcecode_Repositories [^]

- Issue History
Date Modified Username Field Change
2011-10-19 14:01 Bloutiouf New Issue
2011-10-19 21:55 Matze Note Added: 0000124
2011-10-19 21:55 Matze Assigned To => Matze
2011-10-19 21:55 Matze Status new => resolved
2011-10-19 21:55 Matze Resolution open => fixed
2011-10-19 21:55 Matze Category tools/scripts => buildsystem
2011-12-24 03:47 Matze Status resolved => closed


Mantis 1.1.5[^]
Copyright © 2000 - 2008 Mantis Group
Powered by Mantis Bugtracker